%define _use_internal_dependency_generator 0

Summary: Crypt::SSLeay - OpenSSL glue that provides LWP https support
Name: perl-Crypt-SSLeay
Version: 0.51
Release: 5
License: distributable
Group: Applications/CPAN
Source0: Crypt-SSLeay-%{version}.tar.gz
Patch0: perl-Crypt-SSLeay-cryptdef.patch
Patch1: perl-Crypt-SSLeay-dirnamefix.patch
Patch2: perl-Crypt-SSLeay-lib64.patch
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-Crypt-SSLeay-buildroot/
BuildRequires: perl >= 2:5.8.0-61 openssl-devel perl-URI pkgconfig
Requires: perl >= 2:5.8.0-61 openssl

%description
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD & POST
requests. Please see perldoc LWP for more information on POST
requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work.

%prep
%setup -q -n Crypt-SSLeay-%{version} 
%patch0 -p1 -b .cryptdef
#%%patch1 -p1 -b .dirnamefix
%patch2 -p1 -b .lib64

%build
export CFLAGS="$RPM_OPT_FLAGS"
if pkg-config openssl ; then
  export INC="$CFLAGS `pkg-config --cflags-only-I openssl`"
  export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INC="$INC" LDFLAGS="$LDFLAGS" INSTALLDIRS=vendor < /dev/null
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > Crypt-SSLeay-%{version}-filelist
if [ "$(cat Crypt-SSLeay-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Crypt-SSLeay-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Aug 31 2004 Chip Turner <cturner@redhat.com> 0.51-5
- build for FC3

* Tue Aug 31 2004 Chip Turner <cturner@redhat.com> 0.51-4
- build for RHEL3 U4

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 0.51-1
- update to upstream 0.51

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com>
- pass openssl includes to make as INC and ldflags in as LDFLAGS

* Thu Nov 21 2002 Chip Turner <cturner@redhat.com>
- patch to support /usr/lib64 before /usr/lib

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Tue Jun 25 2002 Chip Turner <cturner@redhat.com>
- move to 0.39

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
